Bug 881822 - (CVE-2012-5593, CVE-2012-6053) CVE-2012-5593 CVE-2012-6053 wireshark: DoS (infinite loop) in the USB dissector (wnpa-sec-2012-31)
CVE-2012-5593 CVE-2012-6053 wireshark: DoS (infinite loop) in the USB dissect...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121128,reported=2...
: Security
Depends On: 881873
Blocks: 881865
  Show dependency treegraph
 
Reported: 2012-11-29 11:11 EST by Jan Lieskovsky
Modified: 2016-03-04 05:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 23:54:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-11-29 11:11:25 EST
A denial of service flaw was found in the way USB dissector of Wireshark, a network traffic analyzer, performed dissection of certain USB packet capture files. A remote attacker could provide a specially-crafted USB packet / packet capture that, when processed, would lead to excessive CPU consumption or into situation where tshark executable would enter an infinite loop, when trying to process the crafted packet / packet capture file.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7787

References:
[2] http://www.wireshark.org/security/wnpa-sec-2012-31.html
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.6.12.html
[4] http://www.wireshark.org/docs/relnotes/wireshark-1.8.4.html

Relevant upstream patches:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45310 (main fix)
[6] http://anonsvn.wireshark.org/viewvc?view=revision&revision=45339 (fix valgrind error msg too)

Reproducer:
[7] http://www.wireshark.org/download/automated/captures/fuzz-2012-10-03-20994.pcap
Comment 1 Jan Lieskovsky 2012-11-29 11:16:28 EST
This issue did NOT affect the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the wireshark package, as shipped with Fedora release of 16 and 17.
Comment 2 Jan Lieskovsky 2012-11-29 12:52:27 EST
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 881873]
Comment 3 Vincent Danen 2012-11-29 16:56:07 EST
This was assigned CVE-2012-5593:

http://www.openwall.com/lists/oss-security/2012/11/29/5
Comment 4 Vincent Danen 2012-11-29 17:18:21 EST
Statement CVE-2012-6053:

Not vulnerable. This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Jan Lieskovsky 2012-12-05 08:36:12 EST
CVE-2012-5593 identifier has been rejected by Mitre in favour of CVE-2012-6053:

Name: CVE-2012-5593

** REJECT **

DO NOT USE THIS CANDIDATE NUMBER.  ConsultIDs: CVE-2012-6053.  Reason:
This candidate is a reservation duplicate of CVE-2012-6053.  Notes:
All CVE users should reference CVE-2012-6053 instead of this
candidate.  All references and descriptions in this candidate have
been removed to prevent accidental usage.

--

The correct CVE id this particular wireshark flaw should be referenced under (from now on) is CVE-2012-6053.

Note You need to log in before you can comment on or make changes to this bug.